function f = if_dc(a,lambda,sigma)

% Evaluates the map for the Ohta-Kawasaki model with Intval

% The input is (a,lambda), where
% a = (a_1,a_2,...,a_{m-1}) \in R^(m-1)
% In this set-up, we impose that a_0=0
% lambda is the (variable) parameter

m=length(a)+1;
k=(1:m-1)';

mu=-k.^4+lambda*k.^2-lambda*sigma;

ia=intval(a);

[a3]=int_cubic_sumFFT([0;ia],[0;ia],[0;ia]);

f=mu.*a-lambda*k.^2.*a3(2:m);

end