function []=plot_equilibrium(a,color)

% Plots the equilibrium solution

meshsize = 1000;

mesh=zeros(1,meshsize+1);

for k=0:meshsize
    mesh(k+1)=k*pi/meshsize;
end
plot(mesh,equilibrium(a,mesh),'Color',color,'LineWidth',3)

axis tight

set(gca,'FontSize',20)
xlabel('$$x$$', 'Interpreter', 'latex', 'FontSize', 25)
ylabel('$$u(x)$$', 'Interpreter', 'latex', 'FontSize', 25)

end

function [equi]=equilibrium(a,x)
m=length(a);
sum=0;
for k=1:m-1
    sum=sum+a(k+1,1)*cos(k*x);
end
equi=a(1,1)+2*sum;
end